Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class ResultSetColumn

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.ResultSetColumn

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

Direct Known Subclasses:
  OdaResultSetColumn

    public class ResultSetColumn

extends org.eclipse.birt.report.model.core.Structure

This class represents one column in the result set.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each result set column has the following properties:

Name
  a result set column has an optional name.
Position
  a result set column has an optional position for it.
Data Type
  a result set column has a choice data type: any, integer, string, data time, decimal, float, structure or table.

Field Summary
`static java.lang.String` | `DATA_TYPE_MEMBER` Name of the data type member.
`static java.lang.String` | `NAME_MEMBER` Name of the column name member.
`static java.lang.String` | `NATIVE_DATA_TYPE_MEMBER` Name of the member indicating the native (database) data type code.
`static java.lang.String` | `POSITION_MEMBER` Name of the position member.
`static java.lang.String` | `RESULT_SET_COLUMN_STRUCT` Name of this structure.

Constructor Summary
`ResultSetColumn()`

Method Summary
`java.lang.String` | `getColumnName()` Returns the column name.
`java.lang.String` | `getDataType()` Returns the data type of this column.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.Integer` | `getPosition()` Returns the position of this parameter.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`void` | `setColumnName(java.lang.String columnName)` Sets the column name.
`void` | `setDataType(java.lang.String dataType)` Sets the data type of this column.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the result set column native data type.
`void` | `setPosition(java.lang.Integer position)` Sets the position of this column.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates this structure.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_SET_COLUMN_STRUCT

    public static final java.lang.String RESULT_SET_COLUMN_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### POSITION_MEMBER

    public static final java.lang.String POSITION_MEMBER

  Name of the position member.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the column name member.

  See Also:
    Constant Field Values

### DATA_TYPE_MEMBER

    public static final java.lang.String DATA_TYPE_MEMBER

  Name of the data type member.

  See Also:
    Constant Field Values

### NATIVE_DATA_TYPE_MEMBER

    public static final java.lang.String NATIVE_DATA_TYPE_MEMBER

  Name of the member indicating the native (database) data type code.

  See Also:
    Constant Field Values

Constructor Detail

### ResultSetColumn

    public ResultSetColumn()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getColumnName

    public java.lang.String getColumnName()

  Returns the column name.

  Returns:
    the column name.

### setColumnName

    public void setColumnName(java.lang.String columnName)

  Sets the column name.

  Parameters:
    `columnName` - the column name to set

### getDataType

    public java.lang.String getDataType()

  Returns the data type of this column. The possible values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Returns:
    the data type of this column.

### setDataType

    public void setDataType(java.lang.String dataType)

  Sets the data type of this column. The allowed values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Parameters:
    `dataType` - the data type to set

### getPosition

    public java.lang.Integer getPosition()

  Returns the position of this parameter.

  Returns:
    the position of this parameter

### setPosition

    public void setPosition(java.lang.Integer position)

  Sets the position of this column.

  Parameters:
    `position` - the position to set

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Returns:
    the result set column native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the result set column native data type.

  Parameters:
    `dataType` - the native data type to set.

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Validates this structure. The following are the rules:
  - The column name is required.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `element` - the element contains this structure
  Returns:
    the semantic error list
  See Also:
    `Structure.validate(Module, org.eclipse.birt.report.model.core.DesignElement)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.